## gnome-session 3.35.3

=== debian/changelog ===
gnome-session (3.35.3-1ubuntu3) focal; urgency=medium

  * No-change rebuild against libgnome-desktop-3-19

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 28 Feb 2020 04:33:32 +0000

gnome-session (3.35.3-1ubuntu2) focal; urgency=medium

  * No-change rebuild with fixed binutils on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Feb 2020 11:02:25 +0000

gnome-session (3.35.3-1ubuntu1) focal; urgency=medium

  * Merge with Debian, remaining changes:
    - debian/control.in:
      + Recommend session-migration
      + Move xwayland dependency to gnome-session and make gnome-session
        Arch: any
      + Split gnome-startup-applications to a separate binary package so
        that it can be uninstalled without breaking the system
      + Add unity-session
    - Split ubuntu-session out of gnome-session.
    - Add upstart user session and systemd user session:
      debian/data, debian/gnome-session-bin.user-session.upstart
    - debian/gnome-session-bin.postinst, debian/gnome-session-bin.prerm:
       Moved registering gnome-session binary as a session manager to
       gnome-session-bin package
    - Add gnome-session-wayland transitional package
    - don't install gnome-mimeapps.list (installed by desktop-file-utils in
      Ubuntu):
      debian/gnome-session-common.dirs, gnome-session-common.install,
      gnome-session-common.maintscript, gnome-session-common.postinst
    - debian/patches/103_kill_the_fail_whale.patch:
      + Kill the Fail Whale as it tends to be more annoying than helpful
    - debian/patches/22_support_autostart_delay.patch:
      + Bugzilla patch to support adding a delay to autostart apps, using
        a "X-GNOME-Autostart-Delay" key in the desktop file
    - debian/patches/50_ubuntu_sessions.patch:
      + Add ubuntu session tweaks
    - debian/patches/51_remove_session_saving_from_gui.patch:
      + Add GNOME_SESSION_SAVE environment variable for people wanting to
        use the save session still, knowing that it can break your system
        if used unwisely
    - debian/patches/53_add_sessionmigration.patch:
      + launch session-migration if present at the start of the session.
        This sync tool runns different session migration scripts that can be
        provided in various desktop packages.
    - debian/patches/95_dbus_request_shutdown.patch:
      + Add "RequestShutdown" and "RequestReboot" DBus methods to allow
        other applications to shutdown or reboot the machine via the session
        manager.
    - debian/patches/ignore_gsettings_region.patch:
      + Ignore the "region" gsettings value - users' setting of LC_*
        variables saved in ~/.pam_environment.
    - debian/patches/revert_remove_gnome_session_properties.patch:
      + Don't merge translations into gnome-session-properties.desktop
    - debian/ubuntu-settings-migrate-to-defaults.18.10.1.py:
      + Migrate users using old default ubuntu-settings to current ones
  * Update for run-systemd-session in /usr/libexec
  * Rebase patches through gbp-pq add_sessionmigration.patch and
    remove_session_saving_from_gui.patch required manual resolution.
  * gnome-session-bin.links: Create a symlink for run-systemd-session for the
    old location. Just in case anything is using it. If and when it's
    verified that nothing is, this can be dropped.

 -- Iain Lane <iain.lane@canonical.com>  Thu, 09 Jan 2020 13:54:41 +0000

gnome-session (3.35.3-1) experimental; urgency=medium

  * New upstream release
    + binary: Allow quitting early on SIGTERM/SIGINT
    + binary: Log a critical when our SIGTERM/SIGINT handler fails to log out

 -- Iain Lane <laney@debian.org>  Thu, 09 Jan 2020 12:10:46 +0000

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-session
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-exec,
               dh-migrations,
               gnome-pkg-tools (>= 0.13),
               libdbus-1-dev,
               libgl1-mesa-dev,
               libgles2-mesa-dev,
               libglib2.0-dev (>= 2.46.0),
               libgnome-desktop-3-dev (>= 3.18.0),
               libgtk-3-dev (>= 3.18.0),
               libice-dev,
               libjson-glib-dev (>= 0.10),
               libsm-dev,
               libsystemd-dev (>= 209) [linux-any],
               libx11-dev,
               libxau-dev,
               libxcomposite-dev,
               libxext-dev,
               libxrender-dev,
               libxt-dev,
               libxtst-dev,
               meson (>= 0.43.0),
               xmlto,
               xsltproc,
               xtrans-dev
Rules-Requires-Root: no
Standards-Version: 4.4.1
Vcs-Browser: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/gnome-session
Vcs-Git: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/gnome-session
XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-session
XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-session.git

Package: gnome-session
Architecture: all
Depends: gnome-session-bin (<< ${gnome:NextVersion}),
         gnome-session-bin (>= ${binary:Version}),
         gnome-session-common (= ${binary:Version}),
         gnome-settings-daemon (>= 3.33.90),
         gnome-shell (>= 3.33.90),
         xwayland,
         ${misc:Depends}
Recommends: adwaita-icon-theme-full,
            fonts-cantarell,
            gnome-themes-extra
Suggests: gnome-keyring,
          gnome-user-docs
Provides: x-session-manager
Breaks: gnome-session-wayland (<< 3.22.1),
        ubuntu-session (<= 3.29.90-1ubuntu1)
Replaces: gnome-session-wayland (<< 3.22.1),
          ubuntu-session (<= 3.29.90-1ubuntu1)
Description: GNOME Session Manager - GNOME 3 session
 The GNOME Session Manager is in charge of starting the core components
 of the GNOME desktop, and applications that should be launched at
 login time. It also features a way to save and restore currently
 running applications.
 .
 This package contains the required components for the standard GNOME 3
 session, based on the GNOME Shell. It can be started from a display
 manager such as GDM, and requires 3D acceleration to work properly.

Package: gnome-session-wayland
Architecture: all
Priority: optional
Section: oldlibs
Depends: gnome-session (>= 3.22.1),
         ${misc:Depends}
Description: GNOME Session Manager - GNOME 3 session (transitional package)
 This is a transitional package. It can safely be removed.

Package: gnome-startup-applications
Architecture: any
Depends: gnome-session-bin (>= ${binary:Version}),
         gnome-session-common (>= ${source:Version}),
         ${misc:Depends}
Breaks: gnome-session-bin (<< 3.28.0-0ubuntu4~),
        gnome-session-common (<< 3.28.0-0ubuntu4~)
Replaces: gnome-session-bin (<< 3.28.0-0ubuntu4~),
          gnome-session-common (<< 3.28.0-0ubuntu4~)
Description: Startup Applications manager for GNOME
 The Startup Applications Preferences app allows configuring
 applications to run automatically when logging in to your desktop.
 This app complies with the FreeDesktop.org Desktop Application Autostart
 Specification so it will work even if your chosen desktop is not GNOME.

Package: ubuntu-session
Architecture: all
Depends: gnome-session-bin (<< ${gnome:NextVersion}),
         gnome-session-bin (>= ${binary:Version}),
         gnome-session-common (= ${binary:Version}),
         gnome-settings-daemon (>= 3.24),
         gnome-shell (>= 3.24.3-0ubuntu2),
         xwayland,
         yaru-theme-gnome-shell,
         ${misc:Depends}
Recommends: python3,
            session-migration
Provides: x-session-manager
Breaks: gnome-session (<= 3.29.90-1ubuntu1),
        hud (<< 14.10+17.10.20170619),
        unity (<< 7.5.0+17.10.20170619),
        unity-gtk-module (<< 0.0.0+17.04.20170918),
        unity-settings-daemon (<< 15.04.1+17.04.20170619)
Replaces: gnome-session (<= 3.29.90-1ubuntu1)
Description: Ubuntu session with GNOME Shell
 This package contains the required components for running a GNOME 3 session
 with default Ubuntu configuration, based on the GNOME Shell.

Package: communitheme-snap-session
Architecture: all
Depends: ubuntu-session (>= ${binary:Version}),
         ${misc:Depends}
Replaces: ubuntu-session (<= 3.30.0-0ubuntu2)
Description: Ubuntu communitheme snap session with GNOME Shell
 This package contains the required components for running a GNOME 3 session
 with default Ubuntu configuration, based on the GNOME Shell, using
 the communitheme snap.

Package: unity-session
Architecture: all
Depends: dbus-user-session,
         gnome-session-bin (<< ${gnome:NextVersion}),
         gnome-session-bin (>= ${binary:Version}),
         gnome-session-common (= ${binary:Version}),
         systemd (>= 231-9git1~),
         unity,
         unity-settings-daemon,
         ${misc:Depends}
Recommends: gtk3-nocsd,
            rhythmbox-plugin-zeitgeist,
            session-migration,
            thunderbird-gnome-support,
            zeitgeist-datahub
Provides: x-session-manager
Breaks: hud (<< 14.10+17.10.20170619),
        unity (<< 7.5.0+17.10.20170619),
        unity-gtk-module (<< 0.0.0+17.04.20170918),
        unity-settings-daemon (<< 15.04.1+17.04.20170619),
        upstart (<< 1.13.2-0ubuntu28~)
Replaces: ubuntu-session (<< 3.24.1-0ubuntu2)
Description: Unity session, previous ubuntu default experience.
 This package contains the required components for the Unity session.
 It can be started from a display manager such as LightDM.

Package: gnome-session-bin
Architecture: any
Depends: dbus-x11,
         gsettings-desktop-schemas,
         upower (>= 0.9.0),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: gnome-startup-applications,
            default-logind [linux-any] | logind [linux-any]
Breaks: gdm3 (<< 3.33.90)
Description: GNOME Session Manager - Minimal runtime
 The GNOME Session Manager is in charge of starting the core components
 of the GNOME desktop, and applications that should be launched at
 login time. It also features a way to save and restore currently
 running applications.
 .
 This package contains the binaries for the GNOME Session Manager, but
 no startup scripts. It is meant for those willing to start
 gnome-session by hand with the components of their choice, and for
 applications such as GDM that use gnome-session internally.

Package: gnome-session-common
Architecture: all
Breaks: evince (<< 3.30)
Depends: ${misc:Depends}
Description: GNOME Session Manager - common files
 The GNOME Session Manager is in charge of starting the core components
 of the GNOME desktop, and applications that should be launched at
 login time. It also features a way to save and restore currently
 running applications.
 .
 This package contains the translations, data files and startup scripts
 which are common to the GNOME and GNOME fallback sessions.

## gnome-session 3.36.0

=== meson_options.txt ===
option('deprecation_flags', type: 'boolean', value: false, description: 'use *_DISABLE_DEPRECATED flags')
option('session_selector', type: 'boolean', value: false, description: 'enable building a custom session selector dialog')
option('systemd', type: 'boolean', value: true, description: 'Use systemd')
option('systemd_session', type: 'combo', choices: ['disable', 'enable', 'default'], value: 'default', description: 'Whether to include systemd session support and use it by default')
option('systemd_journal', type: 'boolean', value:'true', description: 'Send log to systemd-journal')
option('consolekit', type: 'boolean', value: false, description: 'Use consolekit')
option('docbook', type: 'boolean', value: true, description: 'build documentation')
option('man', type: 'boolean', value: true, description: 'build documentation (requires xmlto)')

=== debian/changelog ===
gnome-session (3.36.0-2ubuntu1) focal; urgency=medium

  * Merge with Debian, remaining changes:
    - debian/control.in:
      + Recommend session-migration
      + Move xwayland dependency to gnome-session and make gnome-session
        Arch: any
      + Split gnome-startup-applications to a separate binary package so
        that it can be uninstalled without breaking the system
      + Add unity-session
    - Split ubuntu-session out of gnome-session.
    - debian/data: Add old-style systemd user session used by Unity
    - debian/gnome-session-bin.postinst, debian/gnome-session-bin.prerm:
       Moved registering gnome-session binary as a session manager to
       gnome-session-bin package
    - Add gnome-session-wayland transitional package
    - don't install gnome-mimeapps.list (installed by desktop-file-utils in
      Ubuntu):
      debian/gnome-session-common.dirs, gnome-session-common.install,
      gnome-session-common.maintscript, gnome-session-common.postinst
    - debian/patches/ubuntu/kill_the_fail_whale.patch:
      + Kill the Fail Whale as it tends to be more annoying than helpful
    - debian/patches/ubuntu/support_autostart_delay.patch:
      + Bugzilla patch to support adding a delay to autostart apps, using
        a "X-GNOME-Autostart-Delay" key in the desktop file
    - debian/patches/ubuntu/ubuntu_sessions.patch:
      + Add ubuntu session tweaks
    - debian/patches/ubuntu/remove_session_saving_from_gui.patch:
      + Add GNOME_SESSION_SAVE environment variable for people wanting to
        use the save session still, knowing that it can break your system
        if used unwisely
    - debian/patches/ubuntu/add_sessionmigration.patch:
      + launch session-migration if present at the start of the session.
        This sync tool runns different session migration scripts that can be
        provided in various desktop packages.
    - debian/patches/ubuntu/dbus_request_shutdown.patch:
      + Add "RequestShutdown" and "RequestReboot" DBus methods to allow
        other applications to shutdown or reboot the machine via the session
        manager.
    - debian/patches/ubuntu/ignore_gsettings_region.patch:
      + Ignore the "region" gsettings value - users' setting of LC_*
        variables saved in ~/.pam_environment.
    - debian/patches/revert_remove_gnome_session_properties.patch:
      + Don't merge translations into gnome-session-properties.desktop
    - debian/ubuntu-settings-migrate-to-defaults.18.10.1.py:
      + Migrate users using old default ubuntu-settings to current ones
  * Drop old upstart integration - upstart is long gone

 -- Iain Lane <iain.lane@canonical.com>  Thu, 26 Mar 2020 12:22:56 +0000

gnome-session (3.36.0-2) unstable; urgency=medium

  * debian/gnome-mimeapps.list: eog and evolution have renamed their .desktop
    file, adjust the file accordingly. Add a Breaks for previous versions.

 -- Laurent Bigonville <bigon@debian.org>  Sat, 21 Mar 2020 15:50:33 +0100

gnome-session (3.36.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump Standards-Version to 4.5.0 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Thu, 12 Mar 2020 17:29:11 +0100

gnome-session (3.35.3-1ubuntu4) focal; urgency=medium

  * debian/control*:
    - update VCS information to point to ubuntu salsa branch
    - Bump dependencies for ubuntu-session:
      + gnome-shell (>= 3.36.0-2ubuntu1)
      + yaru-theme-gnome-shell (>= 20.04.3)
  * d/gnome-session.{preinst,postinst,prerm}:
    - Don't install gdm3.css anymore (it's now provided as gresource
      by gnome-shell).

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 20 Mar 2020 17:11:53 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>
+Uploaders: Iain Lane <laney@debian.org>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 12),
                dh-exec,
                dh-migrations,
@@ -34,11 +34,11 @@
                xsltproc,
                xtrans-dev
 Rules-Requires-Root: no
-Standards-Version: 4.4.1
-Vcs-Browser: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/gnome-session
-Vcs-Git: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/gnome-session
+Standards-Version: 4.5.0
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-session.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-session
-XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-session.git
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-session.git -b ubuntu/master
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-session/tree/ubuntu/master
 
 Package: gnome-session
 Architecture: all
@@ -99,9 +99,9 @@
          gnome-session-bin (>= ${binary:Version}),
          gnome-session-common (= ${binary:Version}),
          gnome-settings-daemon (>= 3.24),
-         gnome-shell (>= 3.24.3-0ubuntu2),
+         gnome-shell (>= 3.36.0-2ubuntu1~),
          xwayland,
-         yaru-theme-gnome-shell,
+         yaru-theme-gnome-shell (>= 20.04.3~),
          ${misc:Depends}
 Recommends: python3,
             session-migration
@@ -145,8 +145,7 @@
 Breaks: hud (<< 14.10+17.10.20170619),
         unity (<< 7.5.0+17.10.20170619),
         unity-gtk-module (<< 0.0.0+17.04.20170918),
-        unity-settings-daemon (<< 15.04.1+17.04.20170619),
-        upstart (<< 1.13.2-0ubuntu28~)
+        unity-settings-daemon (<< 15.04.1+17.04.20170619)
 Replaces: ubuntu-session (<< 3.24.1-0ubuntu2)
 Description: Unity session, previous ubuntu default experience.
  This package contains the required components for the Unity session.
@@ -175,7 +174,7 @@
 
 Package: gnome-session-common
 Architecture: all
-Breaks: evince (<< 3.30)
+Breaks: eog (<< 3.36.0), evince (<< 3.30), evolution (<< 3.36.0)
 Depends: ${misc:Depends}
 Description: GNOME Session Manager - common files
  The GNOME Session Manager is in charge of starting the core components

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with gnome

ifeq (linux,$(DEB_HOST_ARCH_OS))
CONFFLAGS = -Dsystemd=true -Dsystemd_journal=true -Dsystemd_session=enable
else
CONFFLAGS = -Dsystemd=false -Dsystemd_journal=false -Dsystemd_session=disable
endif

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dman=true \
		$(CONFFLAGS)

override_dh_install:
	cd debian/tmp/usr/share; \
	for f in wayland-sessions/*.desktop xsessions/*.desktop applications/*.desktop; do \
		echo X-Ubuntu-Gettext-Domain=gnome-session-3.0 >> "$$f"; \
	done
	dh_install
	dh_migrations
	# workaround to allow extension theming override by communitheme
	mkdir -p debian/communitheme-snap-session/usr/share/gnome-shell/extensions/ubuntu-dock@ubuntu.com/
	touch debian/communitheme-snap-session/usr/share/gnome-shell/extensions/ubuntu-dock@ubuntu.com/ubuntu-communitheme.css
	# workaround for XDG_DATA_DIRS being for gnome-shell, not Xorg itself, so cursor theme
	# will never be able to be taken by it.
	mkdir -p debian/communitheme-snap-session/usr/share/icons
	ln -s /snap/communitheme/current/share/icons/communitheme debian/communitheme-snap-session/usr/share/icons/communitheme

override_dh_auto_build:
	dh_auto_build
	ninja -C obj-$(DEB_HOST_GNU_TYPE) gnome-session-3.0-pot

override_dh_auto_clean:
	dh_auto_clean
	rm -f po/gnome-session-3.0.pot

override_dh_auto_install:
	dh_auto_install
	# Remove this when gdm3 and gnome-control-center have caught up
	mkdir -p debian/tmp/usr/lib/gnome-session
	( cd debian/tmp/usr/lib/gnome-session && ln -s ../../libexec/* . )

override_dh_missing:
	dh_missing --fail-missing

## gnome-session 3.36.0-2ubuntu1+10.0trisquel2

=== debian/changelog ===
gnome-session (3.36.0-2ubuntu1+10.0trisquel2) nabia; urgency=medium

  * Adapted for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 06 Aug 2021 16:05:40 +0000

=== debian/rules ===
--- 
+++ 
@@ -47,4 +47,4 @@
 	( cd debian/tmp/usr/lib/gnome-session && ln -s ../../libexec/* . )
 
 override_dh_missing:
-	dh_missing --fail-missing
+	dh_missing

## gnome-session 3.38.0

=== debian/changelog ===
gnome-session (3.38.0-4) unstable; urgency=medium

  * Team upload

  [ Marco Trevisan (Treviño) ]
  * debian/control: Bump dependency on meson 0.53 as per upstream
  * d/p/util-Disable-capturing-of-subpatterns.patch:
    Cherry-pick upstream patch fixing a stack overflow when environment
    variables have very long values, in particular when using fish and
    LS_COLORS

  [ Didier Roche ]
  * debian/55gnome-session_gnomerc:
    Protect against multiple additions of the same path.
    Do not append the same path to XDG_DATA_DIRS, resulting to duplication
    on consecutive logout/logins due to an older session lingering and the
    environment being reused. One consequence is that Electron applications
    crash (LP: #1764355)

  [ Simon McVittie ]
  * d/patches: Turn upstream bug reference into a URL
  * d/patches: Actively remove undesired variables from activation
    environment.
    This works around bugs in cinnamon-session and mate-session-manager,
    which do not yet have an equivalent of gnome-session's variable_blacklist
    and so will upload login-session-specific variables like XDG_SESSION_ID
    into `dbus-daemon --session` and, indirectly, `systemd --user`.
    (Closes: #973474)

 -- Simon McVittie <smcv@debian.org>  Mon, 29 Mar 2021 14:21:00 +0100

gnome-session (3.38.0-3) unstable; urgency=medium

  * Team upload
  * Update to upstream git commit 3.38.0-14-g87d92fec
    - Fix slow shutdown with systemd >= 247 (Closes: #975400)
    - Don't send environment variables to systemd if they contain
      control characters that it won't accept, in particular \r
    - Log a warning if environment variables cannot be sent to
      dbus-daemon or systemd
    - Log a warning if updating environment variables fails
    - Don't try to autostart systemd (which can't work), silencing
      warnings in the gdm greeter session
    - Update translations

 -- Simon McVittie <smcv@debian.org>  Fri, 04 Dec 2020 11:24:31 +0000

gnome-session (3.38.0-2) unstable; urgency=medium

  * Team upload
  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Fri, 25 Sep 2020 10:30:03 +0100

gnome-session (3.38.0-1) experimental; urgency=medium

  * Team upload
  * New upstream release
  * Revert "debian/watch: Find unstable versions too"

 -- Simon McVittie <smcv@debian.org>  Mon, 14 Sep 2020 11:38:01 +0100

gnome-session (3.37.0-2) experimental; urgency=medium

  [ Simon McVittie ]
  * Build-Depend on systemd, for /usr/share/pkgconfig/systemd.pc

  [ Marco Trevisan (Treviño) ]
  * debian/control:
    - B-d on debhelper-compat 13 and remove dh_missing override
    - gnome-session-common Breaks and Replaces gnome-session-bin
  * debian/*.install: Move session drop-ins to gnome-session

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 01 Sep 2020 16:11:30 +0200

gnome-session (3.37.0-1) experimental; urgency=medium

  [ Laurent Bigonville ]
  * debian/control.in: Relax the evolution version for the Breaks, the
    .desktop file was apparently already renamed in 3.30.0

  [ Iain Lane ]
  * New upstream release
    - autostart-app: Place launched applications into a systemd scope
    - data: Add drop-in to configure launched applications
    - data: Major changes in systemd configuration
    - doc: Add description of important systemd units to man page
    - fail-whale-dialog: Make dialog visible in all monitors
    - gnome-session: avoid setting LC_ unless LANG and region disagree
    - gnome-session-ctl: Add systemd service failure checker
    - gnome-session-inhibit: Add --list command
    - main: clear environment on shutdown
    - util: Unset GNOME_SETUP_DISPLAY at login time
  * Defuzz patches
  * control: Add Breaks on gnome-shell and gnome-initial-setup before 3.37.90
    and gnome-settings-daemon before 3.37.0. This gnome-session updates and
    rejigs the systemd units that live here - we need to make sure we have the
    updated versions available.

  [ Marco Trevisan (Treviño) ]
  * control: Bump Breaks on gdm3 before 3.37.90, we'd just get a black screen
    without a systemd session definition that gnome-session now exposes.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 28 Aug 2020 22:12:37 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-session
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               gnome-pkg-tools (>= 0.13),
               libdbus-1-dev,
               libgl1-mesa-dev,
               libgles2-mesa-dev,
               libglib2.0-dev (>= 2.46.0),
               libgnome-desktop-3-dev (>= 3.34.2),
               libgtk-3-dev (>= 3.22.0),
               libice-dev,
               libjson-glib-dev (>= 0.10),
               libsm-dev,
               libsystemd-dev (>= 209) [linux-any],
               libx11-dev,
               libxau-dev,
               libxcomposite-dev,
               libxext-dev,
               libxrender-dev,
               libxt-dev,
               libxtst-dev,
               meson (>= 0.53.0),
               systemd [linux-any],
               xmlto,
               xsltproc,
               xtrans-dev
Rules-Requires-Root: no
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-session
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-session.git

Package: gnome-session
Architecture: all
Depends: gnome-session-bin (<< ${gnome:NextVersion}),
         gnome-session-bin (>= ${binary:Version}),
         gnome-session-common (= ${binary:Version}),
         gnome-settings-daemon (>= 3.37.0),
         gnome-shell (>= 3.37.91),
         ${misc:Depends}
Suggests: desktop-base,
          gnome-keyring
Breaks: gnome-initial-setup (<< 3.37.90),
        gnome-session-bin (<< 3.37.0-2~)
Replaces: gnome-session-bin (<< 3.37.0-2~)
Provides: x-session-manager
Description: GNOME Session Manager - GNOME 3 session
 The GNOME Session Manager is in charge of starting the core components
 of the GNOME desktop, and applications that should be launched at
 login time. It also features a way to save and restore currently
 running applications.
 .
 This package contains the required components for the standard GNOME 3
 session, based on the GNOME Shell. It can be started from a display
 manager such as GDM, and requires 3D acceleration to work properly.

Package: gnome-session-bin
Architecture: any
Depends: dbus-x11,
         gsettings-desktop-schemas,
         upower (>= 0.9.0),
         xwayland [linux-any],
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: default-logind [linux-any] | logind [linux-any]
Breaks: gdm3 (<< 3.37.90)
Description: GNOME Session Manager - Minimal runtime
 The GNOME Session Manager is in charge of starting the core components
 of the GNOME desktop, and applications that should be launched at
 login time. It also features a way to save and restore currently
 running applications.
 .
 This package contains the binaries for the GNOME Session Manager, but
 no startup scripts. It is meant for those willing to start
 gnome-session by hand with the components of their choice, and for
 applications such as GDM that use gnome-session internally.

Package: gnome-session-common
Architecture: all
Breaks: eog (<< 3.36.0),
        evince (<< 3.30),
        evolution (<< 3.30.0),
        gnome-session-bin (<< 3.37.0-2~)
Replaces: gnome-session-bin (<< 3.37.0-2~)
Depends: ${misc:Depends}
Description: GNOME Session Manager - common files
 The GNOME Session Manager is in charge of starting the core components
 of the GNOME desktop, and applications that should be launched at
 login time. It also features a way to save and restore currently
 running applications.
 .
 This package contains the translations, data files and startup scripts
 which are common to the GNOME and GNOME fallback sessions.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with gnome

ifeq (linux,$(DEB_HOST_ARCH_OS))
CONFFLAGS = -Dsystemd=true -Dsystemd_journal=true -Dsystemd_session=enable
else
CONFFLAGS = -Dsystemd=false -Dsystemd_journal=false -Dsystemd_session=disable
endif

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dman=true \
		$(CONFFLAGS)

override_dh_auto_install:
	dh_auto_install
	# Remove this when gdm3 and gnome-control-center have caught up
	mkdir -p debian/tmp/usr/lib/gnome-session
	( cd debian/tmp/usr/lib/gnome-session && ln -s ../../libexec/* . )

## gnome-session 40.1.1

=== debian/changelog ===
gnome-session (40.1.1-1ubuntu1) impish; urgency=medium

  * Merge with debian, containing latest stable release:
    We already included most of the patches.
  * debian/patches: Install again gnome-wayland so that can be used from X11 gdm
    (LP: #1944223)
  * d/p/ubuntu-sessions.patch: Add ubuntu-wayland session to support gdm on X11
    (LP: #1944223, required for LP: #1942911)
  * d/p/ubuntu-sessions.patch: Skip ubuntu-xorg.desktop.in from translations.
    The .in.in file is already translated.
  * gnome-session.install: Include gnome-wayland session
  * ubuntu-session.install: Include ubuntu-wayland session
  * debian/rules: Update pot file name to be generated
  * Remaining changes with debian:
    - debian/control.in:
      + Recommend session-migration
      + Move xwayland dependency to gnome-session and make gnome-session
        Arch: any
      + Split gnome-startup-applications to a separate binary package so
        that it can be uninstalled without breaking the system
      + Add unity-session
    - debian/rules: Ensure pot file is generated to translate session files
    - Split ubuntu-session out of gnome-session.
    - debian/data: Add old-style systemd user session used by Unity
    - debian/gnome-session-bin.postinst, debian/gnome-session-bin.prerm:
       Moved registering gnome-session binary as a session manager to
       gnome-session-bin package
    - don't install gnome-mimeapps.list (installed by desktop-file-utils in
      Ubuntu):
      debian/gnome-session-common.dirs, gnome-session-common.install,
      gnome-session-common.maintscript, gnome-session-common.postinst
    - debian/patches/ubuntu/support_autostart_delay.patch:
      + Bugzilla patch to support adding a delay to autostart apps, using
        a "X-GNOME-Autostart-Delay" key in the desktop file
    - debian/patches/ubuntu/ubuntu_sessions.patch:
      + Add ubuntu sessions
    - debian/patches/ubuntu/remove_session_saving_from_gui.patch:
      + Add GNOME_SESSION_SAVE environment variable for people wanting to
        use the save session still, knowing that it can break your system
        if used unwisely
    - debian/patches/ubuntu/add_sessionmigration.patch:
      + launch session-migration if present at the start of the session.
        This sync tool runns different session migration scripts that can be
        provided in various desktop packages.
    - debian/patches/ubuntu/dbus_request_shutdown.patch:
      + Add "RequestShutdown" and "RequestReboot" DBus methods to allow
        other applications to shutdown or reboot the machine via the session
        manager.
    - debian/patches/ubuntu/ignore_gsettings_region.patch:
      + Ignore the "region" gsettings value - users' setting of LC_*
        variables saved in ~/.pam_environment.
    - debian/patches/revert_remove_gnome_session_properties.patch:
      + Don't merge translations into gnome-session-properties.desktop
    - debian/ubuntu-settings-migrate-to-defaults.18.10.1.py:
      + Migrate users using old default ubuntu-settings to current ones
    - debian/xdg_dirs_desktop_session.sh: Install a new script into
      /etc/profile.d to prepend a $DESKTOP_SESSION related directory to
      $XDG_{CONFIG,DATA}_DIRS.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 20 Sep 2021 20:34:00 +0200

gnome-session (40.1.1-1) unstable; urgency=medium

  * New upstream release
    - GNOME session will now only block sleep for suspend inhibitors and will
      block shutdown if a logout inhibitor is active.
      Previously a suspend inhibitor would prevent both sleep & logout.
      Apps may need to be updated and grab both a logout & suspend inhibitor.
  * Drop patches applied in new release

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 23 Aug 2021 20:59:34 -0400

gnome-session (3.38.0-3ubuntu2) hirsute; urgency=medium

  * debian/control: Remove ubuntu-desktop Breaks on g-s-d common (again)
  * debian/changelog: add back changes for release 3.38.0-1ubuntu1

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 10 Feb 2021 20:38:37 +0100

gnome-session (3.38.0-3ubuntu1) hirsute; urgency=medium

  * Merge with debian
  * ubuntu-sessions: Use Wayland by default
  * debian/patches:
    - Drop applied patches (and refresh others)
    - Drop patch to select gnome-session mode
    - Cherry-pick upstream patch fixing a crash when using fish
  * debian/data: Drop support for Upstart
  * d/p/ubuntu/add_sessionmigration.patch: Don't check for upstart
  * debian/gnome-session.links: Drop it, we handle this in meson now
  * debian/gnome-session.preinst: Remove deprecated file, served us till bionic
  * debian/control: Remove gnome-session-wayland, deprecated since zesty
  * Remaining changes with debian:
    - debian/control.in:
      + Recommend session-migration
      + Move xwayland dependency to gnome-session and make gnome-session
        Arch: any
      + Split gnome-startup-applications to a separate binary package so
        that it can be uninstalled without breaking the system
      + Add unity-session
    - Split ubuntu-session out of gnome-session.
    - debian/data: Add old-style systemd user session used by Unity
    - debian/gnome-session-bin.postinst, debian/gnome-session-bin.prerm:
       Moved registering gnome-session binary as a session manager to
       gnome-session-bin package
    - don't install gnome-mimeapps.list (installed by desktop-file-utils in
      Ubuntu):
      debian/gnome-session-common.dirs, gnome-session-common.install,
      gnome-session-common.maintscript, gnome-session-common.postinst
    - debian/patches/ubuntu/support_autostart_delay.patch:
      + Bugzilla patch to support adding a delay to autostart apps, using
        a "X-GNOME-Autostart-Delay" key in the desktop file
    - debian/patches/ubuntu/ubuntu_sessions.patch:
      + Add ubuntu sessions
    - debian/patches/ubuntu/remove_session_saving_from_gui.patch:
      + Add GNOME_SESSION_SAVE environment variable for people wanting to


=== debian/control ===
--- 
+++ 
@@ -5,10 +5,12 @@
 Source: gnome-session
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-exec,
+               dh-migrations,
                gnome-pkg-tools (>= 0.13),
                libdbus-1-dev,
                libgl1-mesa-dev,
@@ -34,8 +36,10 @@
                xtrans-dev
 Rules-Requires-Root: no
 Standards-Version: 4.5.0
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-session
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-session.git
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-session.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-session
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-session.git -b ubuntu/master
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-session/tree/ubuntu/master
 
 Package: gnome-session
 Architecture: all
@@ -44,12 +48,15 @@
          gnome-session-common (= ${binary:Version}),
          gnome-settings-daemon (>= 3.37.0),
          gnome-shell (>= 3.37.91),
+         xwayland,
          ${misc:Depends}
 Suggests: desktop-base,
           gnome-keyring
 Breaks: gnome-initial-setup (<< 3.37.90),
-        gnome-session-bin (<< 3.37.0-2~)
-Replaces: gnome-session-bin (<< 3.37.0-2~)
+        gnome-session-bin (<< 3.37.0-2~),
+        ubuntu-session (<= 3.29.90-1ubuntu1)
+Replaces: gnome-session-bin (<< 3.37.0-2~),
+          ubuntu-session (<= 3.29.90-1ubuntu1)
 Provides: x-session-manager
 Description: GNOME Session Manager - GNOME 3 session
  The GNOME Session Manager is in charge of starting the core components
@@ -61,15 +68,90 @@
  session, based on the GNOME Shell. It can be started from a display
  manager such as GDM, and requires 3D acceleration to work properly.
 
+Package: gnome-startup-applications
+Architecture: any
+Depends: gnome-session-bin (>= ${binary:Version}),
+         gnome-session-common (>= ${source:Version}),
+         ${misc:Depends}
+Breaks: gnome-session-bin (<< 3.28.0-0ubuntu4~),
+        gnome-session-common (<< 3.28.0-0ubuntu4~)
+Replaces: gnome-session-bin (<< 3.28.0-0ubuntu4~),
+          gnome-session-common (<< 3.28.0-0ubuntu4~)
+Description: Startup Applications manager for GNOME
+ The Startup Applications Preferences app allows configuring
+ applications to run automatically when logging in to your desktop.
+ This app complies with the FreeDesktop.org Desktop Application Autostart
+ Specification so it will work even if your chosen desktop is not GNOME.
+
+Package: ubuntu-session
+Architecture: all
+Depends: gnome-session-bin (<< ${gnome:NextVersion}),
+         gnome-session-bin (>= ${binary:Version}),
+         gnome-session-common (= ${binary:Version}),
+         gnome-settings-daemon (>= 3.37.0),
+         gnome-shell (>= 3.37.91),
+         xwayland,
+         yaru-theme-gnome-shell (>= 20.04.3~),
+         ${misc:Depends}
+Recommends: python3,
+            session-migration
+Breaks: gnome-session (<= 3.29.90-1ubuntu1),
+        hud (<< 14.10+17.10.20170619),
+        unity (<< 7.5.0+17.10.20170619),
+        unity-gtk-module (<< 0.0.0+17.04.20170918),
+        unity-settings-daemon (<< 15.04.1+17.04.20170619)
+Replaces: gnome-session (<= 3.29.90-1ubuntu1)
+Provides: x-session-manager
+Description: Ubuntu session with GNOME Shell
+ This package contains the required components for running a GNOME 3 session
+ with default Ubuntu configuration, based on the GNOME Shell.
+
+Package: communitheme-snap-session
+Architecture: all
+Depends: ubuntu-session (>= ${binary:Version}),
+         ${misc:Depends}
+Replaces: ubuntu-session (<= 3.30.0-0ubuntu2)
+Description: Ubuntu communitheme snap session with GNOME Shell
+ This package contains the required components for running a GNOME 3 session
+ with default Ubuntu configuration, based on the GNOME Shell, using
+ the communitheme snap.
+
+Package: unity-session
+Architecture: all
+Depends: dbus-user-session,
+         gnome-session-bin (<< ${gnome:NextVersion}),
+         gnome-session-bin (>= ${binary:Version}),
+         gnome-session-common (= ${binary:Version}),
+         systemd (>= 231-9git1~),
+         unity,
+         unity-settings-daemon,
+         ${misc:Depends}
+Recommends: gtk3-nocsd,
+            rhythmbox-plugin-zeitgeist,
+            session-migration,
+            thunderbird-gnome-support,
+            zeitgeist-datahub
+Provides: x-session-manager
+Breaks: hud (<< 14.10+17.10.20170619),
+        unity (<< 7.5.0+17.10.20170619),
+        unity-gtk-module (<< 0.0.0+17.04.20170918),
+        unity-settings-daemon (<< 15.04.1+17.04.20170619),
+        gnome-session-bin (<< 3.37.0-2ubuntu1~)
+Replaces: ubuntu-session (<< 3.24.1-0ubuntu2),
+          gnome-session-bin (<< 3.37.0-2ubuntu1~)
+Description: Unity session, previous ubuntu default experience.
+ This package contains the required components for the Unity session.
+ It can be started from a display manager such as LightDM.
+
 Package: gnome-session-bin
 Architecture: any
 Depends: dbus-x11,
          gsettings-desktop-schemas,
          upower (>= 0.9.0),
-         xwayland [linux-any],
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: default-logind [linux-any] | logind [linux-any]
+Recommends: gnome-startup-applications,
+            default-logind [linux-any] | logind [linux-any]
 Breaks: gdm3 (<< 3.37.90)
 Description: GNOME Session Manager - Minimal runtime
  The GNOME Session Manager is in charge of starting the core components

=== debian/rules ===
--- 
+++ 
@@ -17,6 +17,29 @@
 		-Dman=true \
 		$(CONFFLAGS)
 
+override_dh_install:
+	cd debian/tmp/usr/share; \
+	for f in wayland-sessions/*.desktop xsessions/*.desktop applications/*.desktop; do \
+		echo X-Ubuntu-Gettext-Domain=gnome-session-3.0 >> "$$f"; \
+	done
+	dh_install
+	dh_migrations
+	# workaround to allow extension theming override by communitheme
+	mkdir -p debian/communitheme-snap-session/usr/share/gnome-shell/extensions/ubuntu-dock@ubuntu.com/
+	touch debian/communitheme-snap-session/usr/share/gnome-shell/extensions/ubuntu-dock@ubuntu.com/ubuntu-communitheme.css
+	# workaround for XDG_DATA_DIRS being for gnome-shell, not Xorg itself, so cursor theme
+	# will never be able to be taken by it.
+	mkdir -p debian/communitheme-snap-session/usr/share/icons
+	ln -s /snap/communitheme/current/share/icons/communitheme debian/communitheme-snap-session/usr/share/icons/communitheme
+
+override_dh_auto_build:
+	dh_auto_build
+	ninja -C obj-$(DEB_HOST_GNU_TYPE) gnome-session-40-pot
+
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -f po/gnome-session-40.pot
+
 override_dh_auto_install:
 	dh_auto_install
 	# Remove this when gdm3 and gnome-control-center have caught up
